Language packs should work for all releases of an ESR branch by using only the first part of the version number for the maxVersion followed by * (asterisk)

VERIFIED DUPLICATE of bug 940973

Status

VERIFIED DUPLICATE of bug 940973
5 years ago
8 months ago

People

(Reporter: aryx, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Language packs should work for all releases of an ESR branch by using only the first part of the version number for the maxVersion followed by * (asterisk).

At the moment, the language packs look like this:

        <em:minVersion>24.0</em:minVersion>
        <em:maxVersion>24.0.*</em:maxVersion>

or

        <em:minVersion>24.1</em:minVersion>
        <em:maxVersion>24.1.*</em:maxVersion>

So they get incompatible every 6 weeks.
Duplicate of this bug: 932401
This is a result of the version number changes that we handle for ESR releases. The assumptions around the version numbers need to be updated, now that the regular ESR releases aren't x.0.* bumps:

http://hg.mozilla.org/mozilla-central/file/30c5b0398c6f/configure.in#l8419
tracking-firefox-esr24: --- → ?
Status: NEW → RESOLVED
Last Resolved: 5 years ago
tracking-firefox-esr24: ? → ---
Resolution: --- → DUPLICATE
Duplicate of bug: 940973
Status: RESOLVED → VERIFIED

Updated

8 months ago
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.